Subject: Re: [PATCH] gnu: bootloader: Support for chain loading.

From: Mathieu Othacehe <[email-masked]>
Date: Mon, 02 Nov 2020 17:21:07 +0100

Hello Danny,

> $ ./pre-inst-env guix system disk-image -t raw raspberry-os.scm

The image types are not yet properly documented. However, the "raw"
image type corresponds to a raw image built for the current
architecture.

Using something like:

--8<---------------cut here---------------start------------->8---
./pre-inst-env guix system disk-image -t arm32-raw raspberry-os.scm
--8<---------------cut here---------------end--------------->8---

should cross-compile an image targeting an ARM32 architecture (since
commit c0458011).

Thanks,

Mathieu